/******************************************
* ZeusCMD - OpenGL Tutorial 4 : Rendering *
* By Grant James (ZEUS)                   *
* http://www.zeuscmd.com                  *
******************************************/
#include <windows.h>
#include "glutil.h"

OpenGL *opengl;

bool init()
{
	glClearColor(0.0f, 0.0f, 0.0f, 0.0f);

	return true;
}

void display()
{
	glClear(GL_COLOR_BUFFER_BIT);

	// Rendering

	glFlush();
}

void idle()
{

}

int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nShowCmd)
{
	opengl = OpenGL::create();

	opengl->setInitFunc(init);
	opengl->setDisplayFunc(display);
	opengl->setIdleFunc(idle);

	if (!opengl->initGL("04 - Rendering", 500, 500, false, 32))
		return 1;

	opengl->runMessageLoop();

	return 0;
}
